pls_rfCMA-methods {CMA} | R Documentation

## Partial Least Squares followed by random forests

### Description

This method constructs a classifier that extracts Partial Least Squares components used to generate Random Forests, s. `rfCMA`. The Partial Least Squares components are computed by the package `plsgenomics`.

### Methods

X = "matrix", y = "numeric", f = "missing"
  signature 1
X = "matrix", y = "factor", f = "missing"
  signature 2
X = "data.frame", y = "missing", f = "formula"
  signature 3
X = "ExpressionSet", y = "character", f = "missing"
  signature 4

For further argument and output information, consult `pls_rfCMA`.

[Package CMA version 1.2.0 Index]